Unclear zigbee fault in log. Any ideas where to begin?

I consistently get the following error in my log (5-10 times a day roughly). It’s unclear (to me) where to start looking to debug, nonetheless start fixing the fault. It’s zigbee related, but I didn’t get these errors last month. My zigbee devices seem to work otherwise. My versions are:

  • Core 2023.11.3
  • Supervisor 2023.11.5
  • Operating System 11.2.rc1
  • Frontend 20231030.2

Any suggestions where to being? Or is this a common issue and I shouldn’t be concerned about it?

Logger: zigpy.zcl
Source: runner.py:188
First occurred: 2:35:09 AM (4 occurrences)
Last logged: 11:45:46 AM

[0x7944:1:0x0020] Traceback (most recent call last): File “/usr/local/lib/python3.11/site-packages/zigpy/endpoint.py”, line 253, in request return await self.device.request( ^^^^^^^^^^^^^^^^^^^^^^^^^^ File “/usr/local/lib/python3.11/site-packages/zigpy/device.py”, line 297, in request await self._application.request( File “/usr/local/lib/python3.11/site-packages/zigpy/application.py”, line 768, in request await self.send_packet( File “/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py”, line 872, in send_packet raise zigpy.exceptions.DeliveryError( zigpy.exceptions.DeliveryError: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102> The above exception was the direct cause of the following exception: Traceback (most recent call last): File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/general.py”, line 522, in check_in_response await self.fast_poll_stop() File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/init.py”, line 83, in wrapper with wrap_zigpy_exceptions(): File “/usr/local/lib/python3.11/contextlib.py”, line 155, in exit self.gen.throw(typ, value, traceback) File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/init.py”, line 75, in wrap_zigpy_exceptions raise HomeAssistantError(message) from exc homeassistant.exceptions.HomeAssistantError: Failed to send request: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102>
[0x7944:1:0x0020] Traceback (most recent call last): File “/usr/local/lib/python3.11/site-packages/zigpy/endpoint.py”, line 253, in request return await self.device.request( ^^^^^^^^^^^^^^^^^^^^^^^^^^ File “/usr/local/lib/python3.11/site-packages/zigpy/device.py”, line 297, in request await self._application.request( File “/usr/local/lib/python3.11/site-packages/zigpy/application.py”, line 768, in request await self.send_packet( File “/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py”, line 872, in send_packet raise zigpy.exceptions.DeliveryError( zigpy.exceptions.DeliveryError: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102> The above exception was the direct cause of the following exception: Traceback (most recent call last): File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/general.py”, line 519, in check_in_response await self.checkin_response(True, self.CHECKIN_FAST_POLL_TIMEOUT, tsn=tsn) File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/init.py”, line 83, in wrapper with wrap_zigpy_exceptions(): File “/usr/local/lib/python3.11/contextlib.py”, line 155, in exit self.gen.throw(typ, value, traceback) File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/init.py”, line 75, in wrap_zigpy_exceptions raise HomeAssistantError(message) from exc homeassistant.exceptions.HomeAssistantError: Failed to send request: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102>

That sounds like a problem with interference. Make sure:

  1. You’re using a USB extension cable
  2. That your chosen Zigbee channel is clear of WiFi:

Thank you for explaining what this error means. I didn’t know if it was a logic or hardware error. Regarding interference, I use the recommened setup: A SkyConnect on a 4ft USB cable connected to a RPi4 USB2 port and configured to channel 15. I should note that zigbee was nearly unusable when it was connected directly to the USB3 port without an extension cable using a random channel. I guess there is still EMI around my RPi. I’m at a loss for what to do next without moving to the countryside. My urban environment can be a little EM-messy, but that’s fairly common so there may be something I’m forgetting or don’t understand.

You’ve scanned to see what wifi is in use around you?

You’ve read all of this? (yes, it’s for Z2M, not ZHA, but it all applies here too)